Bug 977662 - SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java from 'create' accesses on the file registry.xml.lock.
SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:637676a51d653a316bceebc0866...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 02:22 EDT by Klaas Zwaan
Modified: 2013-06-27 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 16:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaas Zwaan 2013-06-25 02:22:34 EDT
Description of problem:
Working from home connected to the office.
I can work normally at home so I think it is not a blocking issue.
SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java from 'create' accesses on the file registry.xml.lock.

*****  Plugin catchall (100. confidence) suggests  ***************************

If je denkt dat java standaard create toegang moet hebben tot de  registry.xml.lock file.
Then je moet dit melden als een fout.
Je kunt een locale tactiek module genereren om deze toegang toe te staan.
Do
sta deze toegang nu toe door het uitvoeren van:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                registry.xml.lock [ file ]
Source                        java
Source Path                   /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jr
                              e/bin/java
Port                          <Onbekend>
Host                          (removed)
Source RPM Packages           java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.13-100.fc17.x86_64 #1 SMP Mon
                              May 13 13:36:17 UTC 2013 x86_64 x86_64
Alert Count                   20
First Seen                    2013-06-24 08:42:39 CEST
Last Seen                     2013-06-25 08:16:05 CEST
Local ID                      67f9fa6a-6783-4d25-8783-bf7d886ff058

Raw Audit Messages
type=AVC msg=audit(1372140965.166:92): avc:  denied  { create } for  pid=1537 comm="java" name="registry.xml.lock" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1372140965.166:92): arch=x86_64 syscall=open success=no exit=EACCES a0=7f4170097b50 a1=42 a2=1b6 a3=26 items=0 ppid=1435 pid=1537 auid=1002 uid=1002 gid=1002 euid=1002 suid=1002 fsuid=1002 egid=1002 sgid=1002 fsgid=1002 ses=2 tty=(none) comm=java exe=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,user_home_dir_t,file,create

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_dir_t:file create;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_dir_t:file create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.x86_64
type:           libreport

Potential duplicate: bug 967646
Comment 1 Daniel Walsh 2013-06-27 16:12:11 EDT
# setsebool -P unconfined_mozilla_plugin_transition 0

Will fix your problem.

Note You need to log in before you can comment on or make changes to this bug.